Bug 16315 - OPAC Shelfbrowser doesn't display the full title
Summary: OPAC Shelfbrowser doesn't display the full title
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-21 12:22 UTC by David Roberts
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16315 - OPAC Shelfbrowser doesn't display the full title (2.75 KB, patch)
2016-05-03 13:53 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16315 - OPAC Shelfbrowser doesn't display the full title (2.88 KB, patch)
2016-05-03 16:40 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 16315 - OPAC Shelfbrowser doesn't display the full title (2.94 KB, patch)
2016-05-04 16:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Roberts 2016-04-21 12:22:19 UTC
The OPAC shelf browser function uses the title from biblio.title database field, which means it only displays the 245$a. The remainder of the title (in the 245$b and $c) doesn't display. An example of this can be seen here:

https://sthlibraries.koha-ptfs.co.uk/cgi-bin/koha/opac-detail.pl?biblionumber=128424&shelfbrowse_itemnumber=267348#holdings

It would be better if the whole title could be displayed.
Comment 1 Owen Leonard 2016-05-03 13:53:24 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2016-05-03 16:40:56 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-05-04 16:14:04 UTC
Created attachment 51196 [details] [review]
Bug 16315 - OPAC Shelfbrowser doesn't display the full title

This patch adds subtitle information to the display of titles in the
OPAC's shelf browser.

To test, apply the patch and make sure OPACShelfBrowser is enabled.

- View the detail page for any title in the OPAC which has items.
- Click the "Browse shelf" link next to any item in the holdings table.
- The titles in the shelf browser should display with all subtitle
  information as defined in Keywords to MARC mapping.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Adding 245a and c as 'subtitle' in Keywords to Marc make them
show on shelf browser.
No errors.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-05-05 18:28:57 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-05-16 08:08:22 UTC
Patch pushed to 3.22.x, will be in 3.22.7
Comment 6 Chris Cormack 2016-06-19 23:13:14 UTC
Pushed to 3.20.x will be in 3.20.11